@keyframes water_flow{
  0% {
    right:-1200px;
	transform:rotate(0deg);
	opacity:1;
  }
  5%{
	transform:rotate(1deg);
  }
  10%{
	  transform:rotate(0deg);
  }
  15%{
	  transform:rotate(-1deg);
	  opacity:.5;
  }
  20%{
	  transform:rotate(0deg);
  }
  25%{
	  transform:rotate(1deg);
  }
  30%{
	  transform:rotate(0deg);
  }
  35%{
	  transform:rotate(-1deg);
	  opacity:1;
  }
  40%{
	  transform:rotate(0deg);
  }
  45%{
	  transform:rotate(1deg);
  }
  50%{
	  transform:rotate(0deg);
  }
  55%{
	  transform:rotate(-1deg);
	  opacity:.5;
  }
  60%{
	  transform:rotate(0deg);
  }
  65%{
	  transform:rotate(1deg);
	  opacity:1;
  }
  70%{
	  transform:rotate(0deg);
  }
  75%{
	  transform:rotate(-1deg);
  }
  80%{
	  transform:rotate(0deg);
	  opacity:.5;
  }
  85%{
	  transform:rotate(1deg);
  }
  90%{
	  transform:rotate(0deg);
	  opacity:1;
  }
  95%{
	  transform:rotate(-1deg);
  }
  100% {
	transform:rotate(5deg);
	opacity:.2;
    right:1200px;
  }
}

@keyframes dance01{
  0% {
    margin-left:0px;
  }
	50% {
    margin-left:-10px;
  }
  100% {		
    margin-left:0;
  }
}
@keyframes dance02{
  0% {
    margin-right:0%;
  }
	50% {
    margin-right:-5%;
  }
  100% {		
    margin-right:0;
  }
}
@keyframes dance03{
  0% {
    margin-right:0%;
  }
	20% {
    margin-right:-2%;
		bottom: 57px;
  }
	35% {
    margin-right:-2%;
		bottom: 70px;
  }
	50% {
    margin-right:-2%;
		bottom: 57px;
  }
  100% {		
    margin-right:0;
  }
}

@keyframes sing01{
  0% {
    transform:rotate(-2deg);
  }
	25% {
   transform:rotate(0deg);
  }
  75% {		
    transform:rotate(5deg);
  }
	100% {		
    transform:rotate(0deg);
  }
}
@keyframes sing02{
  0% {
    transform:rotate(2deg);
  }
	25% {
   transform:rotate(0deg);
  }
  75% {		
    transform:rotate(-5deg);
  }
	100% {		
    transform:rotate(0deg);
  }
}
@keyframes light {
  0% {
    --angle: 90deg;
  }
  
  50% {
    --angle: 110deg;
  }
  100% {
    --angle: 60deg;
  }
}
@keyframes zoom{
  0% {
    scale: 1;
  }
  100% {
    scale: 1.1;
  }
}
@keyframes blink{
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes star{
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes typing{
  0% {
    width: 0%;
  }
  50% {
    width: 300px;
  }
  100% {
    width: 0%;
  }
}
@keyframes txt_blink{
  0% {
    opacity:1;
  }
  55% {
    opacity:.5;
  }
	60% {
    opacity:1;
  }
	70% {
    opacity:0;
  }
	80% {
    opacity:1;
  }
	90% {
    opacity:0;
  }
  100% {
		opacity:1;
  }
}
@keyframes game_draw{
  0% {
    margin-right:0;
  }
	30% {
    margin-right:-10px;
  }
	60% {
    margin-right:0;
  }
	75% {
    margin-right:5px;
  }
	100% {
		margin-right:0;
  }
}
@keyframes star{
  0% {
	opacity:1;
  }
  50% {
	opacity:0;
  }
  100% {
	opacity:1;
  }
}
@keyframes borderAni {
    0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes movePlaceStart{
  0% {
	top:160px;
	left:20px;
  }
  30% {
	top:192px;	
	left:59px;	
  }
  100% {
	top:228px;
	left:204px;;
  }
}

@keyframes movePlace02{
  0% {
	top:209px;
	left:300px;
  }
  50% {
	top:166px;
	left:460px;
  }
  100% {
	top:196px;
	left:574px;
  }
}

@keyframes movePlace03{
  0% {
	top:260px;
	left:580px;
  }
  30% {
	top:340px;
	left:575px;;
  }
  60% {
	top:408px;
	left:451px;;
  }
  100% {
	top:433px;
	left:264px;;
  }
}

@keyframes movePlace04{
  0% {
	top:440px;
	left:265px;
  }  
  10% {
	top:440px;
	left:230px;
  }
  60% {
	top:540px;
	left:80px;
  }
  100% {
	top:760px;
	left:110px;
  }
}

@keyframes movePlace05{
  0% {
	top:780px;
	left:115px;;
  }  
  25% {
	top:800px;
	left:225px;
  }
  100% {
	top:700px;
	left:550px;
  }
}
@keyframes run_effect{
  0% {
	left:-40px;
	opacity:1;
  }
  100% {
	left:-100px;
	opacity:0;
  }
}

@keyframes run_effect02{
  0% {
	right:-40px;
	opacity:1;
  }
  100% {
	right:-100px;
	opacity:0;
  }
}
@keyframes txt_flow {
  0% { left: 338px; opacity:1; }
  100% { left: -800px; }
}

@keyframes p_guide01 {
  0% { 
	right:-20px: 
	bottom:-10px:
  }
  100% { 
	right: 40px; 
	bottom:150px;
  }
}

@keyframes p_guide02 {
  0% { 
	right:47px;
	bottom:58px;
  }
  100% { 
	right: 250px; 
	bottom:250px;
  }
}

@keyframes p_guide03 {
  0% { 
	right:60px;
	bottom:33px;
  }
  100% { 
	right: 340px; 
	bottom:250px;
  }
}
@keyframes p_guide03_1 {
  0% { 
	right:60px;
	bottom:33px;
  }
  100% { 
	right: 250px; 
	bottom:340px;
  }
}

@keyframes p_guide04 {
  0% { 
	right:0;
	bottom:50px;
  }
  100% { 
	right: 44px; 
	bottom:-120px;
  }
}
@keyframes line_effect {
  0% { 
	border: 10px solid rgba(228, 255, 200, 0);
  }
  100% { 
	border: 10px solid rgba(228, 255, 200, 1);
  }
}



@keyframes wave {
  0% {
    margin-left: 0;
  }
  100% {
    margin-left: -1600px;
  }
}
@keyframes swell {
  0%,
	100% {
    transform: translate3d(0, 20px, 0);
  }
  50% {
    transform: translate3d(0, 10px, 0);
  }
}
@keyframes flicker {
  50% {
    color: white;
    filter: saturate(200%) hue-rotate(20deg);
  }
}
@keyframes goldenbell {
  0% {
		background-image:url('../images/visual/goldenbell01.png');
  }
	50% {
	  background-image:url('../images/visual/goldenbell02.png');
  }
	100% {
	  background-image:url('../images/visual/goldenbell01.png');
  }	
}